<?php

function home_reconstruction_remove_customize_register() {
    global $wp_customize;
    $wp_customize->remove_section( 'construction_hub_color_option' );

    $wp_customize->remove_setting( 'construction_hub_call_text' );
    $wp_customize->remove_control( 'construction_hub_call_text' );

    $wp_customize->remove_setting( 'construction_hub_mail_text' );
    $wp_customize->remove_control( 'construction_hub_mail_text' );
}
add_action( 'customize_register', 'home_reconstruction_remove_customize_register', 11 );

function home_reconstruction_customize_register( $wp_customize ) {

    $wp_customize->add_setting('home_reconstruction_address',array(
        'default' => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('home_reconstruction_address',array(
        'label' => __('Add Location','home-reconstruction'),
        'section'   => 'construction_hub_topbar',
        'type'      => 'text'
    ));

    //Social Media
    $wp_customize->add_section( 'home_reconstruction_social_media', array(
        'title'      => __( 'Social Media Links', 'home-reconstruction' ),
        'priority' => 50,
        'description' => __( 'Add your Social Links', 'home-reconstruction' ),
        'panel' => 'construction_hub_panel_id'
    ) );

    $wp_customize->add_setting('home_reconstruction_facebook_url',array(
        'default'=> '',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('home_reconstruction_facebook_url',array(
        'label' => __('Facebook Link','home-reconstruction'),
        'section'=> 'home_reconstruction_social_media',
        'type'=> 'url'
    ));

    $wp_customize->add_setting('home_reconstruction_twitter_url',array(
        'default'=> '',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('home_reconstruction_twitter_url',array(
        'label' => __('Twitter Link','home-reconstruction'),
        'section'=> 'home_reconstruction_social_media',
        'type'=> 'url'
    ));

    $wp_customize->add_setting('home_reconstruction_instagram_url',array(
        'default'=> '',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('home_reconstruction_instagram_url',array(
        'label' => __('Instagram Link','home-reconstruction'),
        'section'=> 'home_reconstruction_social_media',
        'type'=> 'url'
    ));

    $wp_customize->add_setting('home_reconstruction_youtube_url',array(
        'default'=> '',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('home_reconstruction_youtube_url',array(
        'label' => __('YouTube Link','home-reconstruction'),
        'section'=> 'home_reconstruction_social_media',
        'type'=> 'url'
    ));

    $wp_customize->add_setting('home_reconstruction_pint_url',array(
        'default'=> '',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('home_reconstruction_pint_url',array(
        'label' => __('Pinterest Link','home-reconstruction'),
        'section'=> 'home_reconstruction_social_media',
        'type'=> 'url'
    ));

    //About Section
    $wp_customize->add_section('home_reconstruction_about_section',array(
        'title' => __('About Section','home-reconstruction'),
        'panel' => 'construction_hub_panel_id',
    ));

    $wp_customize->add_setting('home_reconstruction_about_tittle',array(
        'default' => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('home_reconstruction_about_tittle',array(
        'label' => __('About Title','home-reconstruction'),
        'section'   => 'home_reconstruction_about_section',
        'type'      => 'text'
    ));

    $wp_customize->add_setting( 'home_reconstruction_about_page', array(
        'default'           => '',
        'sanitize_callback' => 'construction_hub_sanitize_dropdown_pages'
    ) );
    $wp_customize->add_control( 'home_reconstruction_about_page', array(
        'label'    => __( 'Select About Page', 'home-reconstruction' ),
        'section'  => 'home_reconstruction_about_section',
        'type'     => 'dropdown-pages'
    ) );
}
add_action( 'customize_register', 'home_reconstruction_customize_register' );
