<?php 
/*
* Display Logo and contact details
*/
?>


<div class="headerbox py-2">
  <div class="container">
    <div class="row">
      <div class="col-lg-3 col-md-12 col-sm-12  align-self-center">
        <div class="logo">
          <?php if( has_custom_logo() ) construction_hub_the_custom_logo(); ?>
          <?php if(get_theme_mod('construction_hub_site_title',true) != ''){ ?>
            <h1 class="mb-0"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
          <?php }?>
          <?php $construction_hub_description = get_bloginfo( 'description', 'display' );
          if ( $construction_hub_description || is_customize_preview() ) : ?>
            <?php if(get_theme_mod('construction_hub_site_tagline',true) != ''){ ?>
              <p class="site-description"><?php echo esc_html($construction_hub_description); ?></p>
            <?php }?>
          <?php endif; ?>
        </div>
      </div>
      <div class="col-lg-9 col-md-12 col-sm-12 align-self-center">
        <div class="row m-0">
          <div class="col-lg-5 col-md-5 align-self-center">
            <?php if( get_theme_mod( 'home_reconstruction_address' ) != '') { ?>
            <p class="mb-0"><i class="fas fa-map-marker-alt mr-2"></i><?php echo esc_html( get_theme_mod('home_reconstruction_address','') ); ?></p>
            <?php } ?>
          </div>
          <div class="col-lg-3 col-md-3 align-self-center">
            <?php if( get_theme_mod( 'construction_hub_call' ) != '') { ?>
              <p class="mb-0"><i class="fas fa-phone mr-2"></i><?php echo esc_html( get_theme_mod('construction_hub_call','') ); ?></p>
            <?php } ?>
          </div>
          <div class="col-lg-4 col-md-4 align-self-center">
            <?php if( get_theme_mod( 'construction_hub_mail' ) != '') { ?>
            <p class="mb-0"><i class="fas fa-envelope mr-2"></i><?php echo esc_html( get_theme_mod('construction_hub_mail','') ); ?></p>
            <?php } ?>
          </div>
        </div>
      </div>
    </div>
  </div> 
</div>

<?php get_template_part( 'template-parts/navigation/site-nav' ); ?>