<?php
/**
 * Template part for displaying About section
 *
 * @package Home Reconstruction
 * @subpackage home_reconstruction
 */
?>

<section id="about" class="mb-5">
  <div class="container">
    <?php if( get_theme_mod('home_reconstruction_about_tittle') != ''){ ?>
      <div class="project_bg">
        <?php if( get_theme_mod('home_reconstruction_about_tittle') != ''){ ?>
          <h3><?php echo esc_html(get_theme_mod('home_reconstruction_about_tittle','')); ?></h3>
        <?php }?>
      </div>
    <?php }?>
    <div class="row">
      <?php $home_reconstruction_about_page = array();
        $mod = absint( get_theme_mod( 'home_reconstruction_about_page' ));
        if ( 'page-none-selected' != $mod ) {
          $home_reconstruction_about_page[] = $mod;
        }
      if( !empty($home_reconstruction_about_page) ) :
        $args = array(
          'post_type' => 'page',
          'post__in' => $home_reconstruction_about_page,
          'orderby' => 'post__in'
        );
        $query = new WP_Query( $args );
        if ( $query->have_posts() ) :
          while ( $query->have_posts() ) : $query->the_post(); ?>
            <div class="col-lg-6 col-md-6 align-self-center pr-md-0">
              <?php the_post_thumbnail(); ?>
            </div>
            <div class="col-lg-6 col-md-6 align-self-center pl-md-0">
              <div class="abut-box">
                <h4><?php the_title(); ?></h4>
                <p class="post mb-0"><?php $excerpt = get_the_excerpt(); echo esc_html( construction_hub_string_limit_words( $excerpt,50 ) ); ?></p>
                <div class="more-btn">
                  <a href="<?php the_permalink(); ?>"><?php esc_html_e('READ MORE','home-reconstruction'); ?></a>
                </div>
              </div>
            </div>
          <?php endwhile; ?>
        <?php else : ?>
          <div class="no-postfound"></div>
        <?php endif;
      endif;
      wp_reset_postdata()?>
      <div class="clearfix"></div> 
    </div>
  </div>
</section>